Open SCAP Library

Public Member Functions | Data Fields
xccdf_identity Struct Reference
XCCDF

XCCDF identity. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_identity * | xccdf_identity_new (void)
struct xccdf_identity * | xccdf_identity_clone (const struct xccdf_identity *identity)
void | xccdf_identity_free (struct xccdf_identity *identity)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
bool | xccdf_identity_get_authenticated (const struct xccdf_identity *item)
bool | xccdf_identity_get_privileged (const struct xccdf_identity *item)
const char * | xccdf_identity_get_name (const struct xccdf_identity *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_identity_set_authenticated (struct xccdf_identity *obj, bool newval)
bool | xccdf_identity_set_privileged (struct xccdf_identity *obj, bool newval)
bool | xccdf_identity_set_name (struct xccdf_identity *obj, const char *newval)

## Data Fields
struct {
bool authenticated: 1
bool privileged: 1
} | sub
char * | name

## Detailed Description

XCCDF identity.

See also
  xccdf_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h